[Builder] Build failed in Jenkins: platform-builds » identity-apps #4231

cbuilder at wso2.org cbuilder at wso2.org
Fri Aug 5 02:06:39 PDT 2022


See <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/4231/display/redirect?page=changes>

Changes:

[noreply] Add additional Sp props (#3285)


------------------------------------------
[...truncated 1.19 MB...]
[INFO] [INFO] Downloading from shibboleth.internet2.edu: https://build.shibboleth.net/nexus/content/groups/public/org/slf4j/slf4j-parent/1.7.25/slf4j-parent-1.7.25.pom
[INFO] [INFO] Downloading from central: https://repo.maven.apache.org/maven2/org/slf4j/slf4j-parent/1.7.25/slf4j-parent-1.7.25.pom
[INFO] [INFO] Downloaded from central: https://repo.maven.apache.org/maven2/org/slf4j/slf4j-parent/1.7.25/slf4j-parent-1.7.25.pom (14 kB at 2.7 MB/s)
[INFO] [INFO] Downloading from wso2.releases: https://maven.wso2.org/nexus/content/repositories/releases/commons-lang/wso2/commons-lang/2.6.0.wso2v1/commons-lang-2.6.0.wso2v1.pom
[INFO] [INFO] Downloading from wso2-nexus: https://maven.wso2.org/nexus/content/groups/wso2-public/commons-lang/wso2/commons-lang/2.6.0.wso2v1/commons-lang-2.6.0.wso2v1.pom
[INFO] [INFO] Downloading from 3rd-party: https://maven.wso2.org/nexus/content/repositories/thirdparty/commons-lang/wso2/commons-lang/2.6.0.wso2v1/commons-lang-2.6.0.wso2v1.pom
[INFO] [INFO] Downloading from shibboleth.internet2.edu: https://build.shibboleth.net/nexus/content/groups/public/commons-lang/wso2/commons-lang/2.6.0.wso2v1/commons-lang-2.6.0.wso2v1.pom
[INFO] [INFO] Downloading from central: https://repo.maven.apache.org/maven2/commons-lang/wso2/commons-lang/2.6.0.wso2v1/commons-lang-2.6.0.wso2v1.pom
[INFO] [INFO] ------------------------------------------------------------------------
[INFO] [INFO] Reactor Summary:
[INFO] [INFO] 
[INFO] [INFO] WSO2 Identity Server Apps - Parent 1.3.45 .......... SUCCESS [10:02 min]
[INFO] [INFO] WSO2 Identity Server Apps - Layout Controlling Tag Library FAILURE [  0.338 s]
[INFO] [INFO] WSO2 Identity Server Apps - Login Portal Layouts ... SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - My Account ............. SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Console ................ SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Authentication Portal .. SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Recovery Portal ........ SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - X509 Certificate Authentication Portal SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Theme Component ........ SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Portal Common Component  SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Cypress Integration Tests SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Common Server Feature .. SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - My Account Server Feature SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Console Server Feature . SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Authentication Portal Server Feature SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Recovery Portal Server Feature SKIPPED
[INFO] [INFO] WSO2 Identity Server Apps - Portal Aggregate Feature 1.3.45 SKIPPED
[INFO] [INFO] ------------------------------------------------------------------------
[INFO] [INFO] BUILD FAILURE
[INFO] [INFO] ------------------------------------------------------------------------
[INFO] [INFO] Total time: 10:03 min
[INFO] [INFO] Finished at: 2022-08-05T09:04:53Z
[INFO] [INFO] ------------------------------------------------------------------------
[INFO] [ERROR] Failed to execute goal on project org.wso2.identity.apps.taglibs.layout.controller: Could not resolve dependencies for project org.wso2.identity.apps:org.wso2.identity.apps.taglibs.layout.controller:jar:1.3.45: Failed to collect dependencies at commons-lang.wso2:commons-lang:jar:2.6.0.wso2v1: Failed to read artifact descriptor for commons-lang.wso2:commons-lang:jar:2.6.0.wso2v1: Could not transfer artifact commons-lang.wso2:commons-lang:pom:2.6.0.wso2v1 from/to wso2.releases (https://maven.wso2.org/nexus/content/repositories/releases/): Connect to maven.wso2.org:443 [maven.wso2.org/34.193.127.173] failed: Connection refused (Connection refused) -> [Help 1]
[INFO] [ERROR] 
[INFO] [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[INFO] [ERROR] Re-run Maven using the -X switch to enable full debug logging.
[INFO] [ERROR] 
[INFO] [ERROR] For more information about the errors and possible solutions, please read the following articles:
[INFO] [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException
[INFO] [ERROR] 
[INFO] [ERROR] After correcting the problems, you can resume the build with the command
[INFO] [ERROR]   mvn <goals> -rf :org.wso2.identity.apps.taglibs.layout.controller
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] WSO2 Identity Server Apps - Parent 1.3.45-SNAPSHOT . FAILURE [10:07 min]
[INFO] WSO2 Identity Server Apps - Layout Controlling Tag Library SKIPPED
[INFO] WSO2 Identity Server Apps - Login Portal Layouts ... SKIPPED
[INFO] WSO2 Identity Server Apps - My Account ............. SKIPPED
[INFO] WSO2 Identity Server Apps - Console ................ SKIPPED
[INFO] WSO2 Identity Server Apps - Authentication Portal .. SKIPPED
[INFO] WSO2 Identity Server Apps - Recovery Portal ........ SKIPPED
[INFO] WSO2 Identity Server Apps - X509 Certificate Authentication Portal SKIPPED
[INFO] WSO2 Identity Server Apps - Theme Component ........ SKIPPED
[INFO] WSO2 Identity Server Apps - Portal Common Component  SKIPPED
[INFO] WSO2 Identity Server Apps - Cypress Integration Tests SKIPPED
[INFO] WSO2 Identity Server Apps - Common Server Feature .. SKIPPED
[INFO] WSO2 Identity Server Apps - My Account Server Feature SKIPPED
[INFO] WSO2 Identity Server Apps - Console Server Feature . SKIPPED
[INFO] WSO2 Identity Server Apps - Authentication Portal Server Feature SKIPPED
[INFO] WSO2 Identity Server Apps - Recovery Portal Server Feature SKIPPED
[INFO] WSO2 Identity Server Apps - Portal Aggregate Feature 1.3.45-SNAPSHOT SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 19:11 min
[INFO] Finished at: 2022-08-05T09:05:10Z
[INFO] ------------------------------------------------------------------------
Waiting for Jenkins to finish collecting data
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-release-plugin:2.5.3:prepare (default-cli) on project identity-apps: Maven execution failed, exit code: '1' -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/apps/authentication-portal/pom.xml> to org.wso2.identity.apps/authentication-portal/1.3.45-SNAPSHOT/authentication-portal-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/features/org.wso2.identity.apps.recovery.portal.server.feature/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.recovery.portal.server.feature/1.3.45-SNAPSHOT/org.wso2.identity.apps.recovery.portal.server.feature-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/apps/console/pom.xml> to org.wso2.identity.apps/console/1.3.45-SNAPSHOT/console-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/tests/pom.xml> to org.wso2.identity.apps/identity-apps-cypress-tests/1.3.45-SNAPSHOT/identity-apps-cypress-tests-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/features/org.wso2.identity.apps.common.server.feature/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.common.server.feature/1.3.45-SNAPSHOT/org.wso2.identity.apps.common.server.feature-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/apps/recovery-portal/pom.xml> to org.wso2.identity.apps/recovery-portal/1.3.45-SNAPSHOT/recovery-portal-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/components/login-portal-layouts/pom.xml> to org.wso2.identity.apps/login-portal-layouts/1.3.45-SNAPSHOT/login-portal-layouts-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/components/theme/pom.xml> to org.wso2.identity.apps/identity-theme/1.3.45-SNAPSHOT/identity-theme-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/components/org.wso2.identity.apps.common/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.common/1.3.45-SNAPSHOT/org.wso2.identity.apps.common-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/features/org.wso2.identity.apps.authentication.portal.server.feature/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.authentication.portal.server.feature/1.3.45-SNAPSHOT/org.wso2.identity.apps.authentication.portal.server.feature-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/features/org.wso2.identity.apps.feature/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.feature/1.3.45-SNAPSHOT/org.wso2.identity.apps.feature-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/features/org.wso2.identity.apps.console.server.feature/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.console.server.feature/1.3.45-SNAPSHOT/org.wso2.identity.apps.console.server.feature-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/components/org.wso2.identity.apps.taglibs.layout.controller/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.taglibs.layout.controller/1.3.45-SNAPSHOT/org.wso2.identity.apps.taglibs.layout.controller-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/apps/myaccount/pom.xml> to org.wso2.identity.apps/myaccount/1.3.45-SNAPSHOT/myaccount-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/apps/x509-certificate-authentication-portal/pom.xml> to org.wso2.identity.apps/x509-certificate-authentication-portal/1.3.45-SNAPSHOT/x509-certificate-authentication-portal-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/features/org.wso2.identity.apps.myaccount.server.feature/pom.xml> to org.wso2.identity.apps/org.wso2.identity.apps.myaccount.server.feature/1.3.45-SNAPSHOT/org.wso2.identity.apps.myaccount.server.feature-1.3.45-SNAPSHOT.pom
[JENKINS] Archiving <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/pom.xml> to org.wso2.identity.apps/identity-apps/1.3.45-SNAPSHOT/identity-apps-1.3.45-SNAPSHOT.pom
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Authentication Portal #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Recovery Portal Server Feature #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Console #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Cypress Integration Tests #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Common Server Feature #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Recovery Portal #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Login Portal Layouts #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Theme Component #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Portal Common Component #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Authentication Portal Server Feature #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Portal Aggregate Feature #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Console Server Feature #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - Layout Controlling Tag Library #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - My Account #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - X509 Certificate Authentication Portal #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
No mail will be sent out, as 'platform-builds » identity-apps » WSO2 Identity Server Apps - My Account Server Feature #4231' does not have a result yet. Please make sure you set a proper result in case of pipeline/build scripts.
Sending e-mails to: builder at wso2.org
channel stopped
[identity-apps] $ /usr/bin/env bash /tmp/jenkins1937742928776747213.sh
npm WARN @asgardeo/auth-react at 1.1.12 requires a peer of react-router-dom@^5.2.0 but none is installed. You must install peer dependencies yourself.
npm WARN @octokit/plugin-request-log at 1.0.4 requires a peer of @octokit/core@>=3 but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of @types/webpack at 4.x || 5.x but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of react-refresh@>=0.10.0 <1.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of webpack-hot-middleware at 2.x but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of webpack-plugin-serve at 0.x || 1.x but none is installed. You must install peer dependencies yourself.
npm WARN acorn-import-assertions at 1.8.0 requires a peer of acorn@^8 but none is installed. You must install peer dependencies yourself.
npm WARN ajv-formats at 2.1.1 requires a peer of ajv@^8.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN babel-plugin-rename-jsx-attribute at 0.2.4 requires a peer of babel-core@^6.26.3 but none is installed. You must install peer dependencies yourself.
npm WARN css-loader at 1.0.1 requires a peer of webpack@^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN extract-text-webpack-plugin at 4.0.0-beta.0 requires a peer of webpack@^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN file-loader at 2.0.0 requires a peer of webpack@^2.0.0 || ^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN fork-ts-checker-webpack-plugin at 6.5.0 requires a peer of vue-template-compiler@* but none is installed. You must install peer dependencies yourself.
npm WARN jest-config at 26.6.3 requires a peer of ts-node@>=9.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN jsdom at 16.7.0 requires a peer of canvas@^2.5.0 but none is installed. You must install peer dependencies yourself.
npm WARN less-loader at 5.0.0 requires a peer of less@^2.3.1 || ^3.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN less-loader at 5.0.0 requires a peer of webpack@^2.0.0 || ^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN mini-css-extract-plugin at 0.4.5 requires a peer of webpack@^4.4.0 but none is installed. You must install peer dependencies yourself.
npm WARN react-final-form at 6.5.7 requires a peer of final-form at 4.20.4 but none is installed. You must install peer dependencies yourself.
npm WARN terser at 5.10.0 requires a peer of acorn@^8.5.0 but none is installed. You must install peer dependencies yourself.
npm WARN thread-loader at 2.1.3 requires a peer of webpack@^2.0.0 || ^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN url-loader at 2.3.0 requires a peer of webpack@^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN worker-loader at 2.0.0 requires a peer of webpack@^3.0.0 || ^4.0.0-alpha.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN ws at 7.5.6 requires a peer of bufferutil@^4.0.1 but none is installed. You must install peer dependencies yourself.
npm WARN ws at 7.5.6 requires a peer of utf-8-validate@^5.0.2 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents at 2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents at 2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents at 1.2.13 (node_modules/webpack-dev-server/node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents at 1.2.13: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

audited 2422 packages in 12.131s
found 63 vulnerabilities (4 low, 15 moderate, 41 high, 3 critical)
  run `npm audit fix` to fix them, or `npm audit` for details

> @wso2is/webapps at 1.3.45 update-version <https://wso2.org/jenkins/job/platform-builds/job/identity-apps/ws/>
> node scripts/update-version.js "jenkins=true" "build=#4231" "pom=1.3.45"

lerna notice cli v3.22.1
lerna info ci enabled
lerna info current version 1.3.45
lerna notice FYI git repository validation has been skipped, please ensure your version bumps are correct
lerna WARN force-publish all packages
lerna info Assuming all packages changed
lerna WARN version Skipping working tree validation, proceed at your own risk
lerna info auto-confirmed 
lerna info execute Skipping git tag/commit
lerna info execute Skipping git push
lerna info execute Skipping releases
lerna success version finished
npm WARN @asgardeo/auth-react at 1.1.12 requires a peer of react-router-dom@^5.2.0 but none is installed. You must install peer dependencies yourself.
npm WARN @octokit/plugin-request-log at 1.0.4 requires a peer of @octokit/core@>=3 but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of @types/webpack at 4.x || 5.x but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of react-refresh@>=0.10.0 <1.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of webpack-hot-middleware at 2.x but none is installed. You must install peer dependencies yourself.
npm WARN @pmmmwh/react-refresh-webpack-plugin at 0.5.4 requires a peer of webpack-plugin-serve at 0.x || 1.x but none is installed. You must install peer dependencies yourself.
npm WARN acorn-import-assertions at 1.8.0 requires a peer of acorn@^8 but none is installed. You must install peer dependencies yourself.
npm WARN ajv-formats at 2.1.1 requires a peer of ajv@^8.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN babel-plugin-rename-jsx-attribute at 0.2.4 requires a peer of babel-core@^6.26.3 but none is installed. You must install peer dependencies yourself.
npm WARN css-loader at 1.0.1 requires a peer of webpack@^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN extract-text-webpack-plugin at 4.0.0-beta.0 requires a peer of webpack@^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN file-loader at 2.0.0 requires a peer of webpack@^2.0.0 || ^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN fork-ts-checker-webpack-plugin at 6.5.0 requires a peer of vue-template-compiler@* but none is installed. You must install peer dependencies yourself.
npm WARN jest-config at 26.6.3 requires a peer of ts-node@>=9.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN jsdom at 16.7.0 requires a peer of canvas@^2.5.0 but none is installed. You must install peer dependencies yourself.
npm WARN less-loader at 5.0.0 requires a peer of less@^2.3.1 || ^3.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN less-loader at 5.0.0 requires a peer of webpack@^2.0.0 || ^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN mini-css-extract-plugin at 0.4.5 requires a peer of webpack@^4.4.0 but none is installed. You must install peer dependencies yourself.
npm WARN react-final-form at 6.5.7 requires a peer of final-form at 4.20.4 but none is installed. You must install peer dependencies yourself.
npm WARN terser at 5.10.0 requires a peer of acorn@^8.5.0 but none is installed. You must install peer dependencies yourself.
npm WARN thread-loader at 2.1.3 requires a peer of webpack@^2.0.0 || ^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN url-loader at 2.3.0 requires a peer of webpack@^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN worker-loader at 2.0.0 requires a peer of webpack@^3.0.0 || ^4.0.0-alpha.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN ws at 7.5.6 requires a peer of bufferutil@^4.0.1 but none is installed. You must install peer dependencies yourself.
npm WARN ws at 7.5.6 requires a peer of utf-8-validate@^5.0.2 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents at 2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents at 2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents at 1.2.13 (node_modules/webpack-dev-server/node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents at 1.2.13: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

lerna info update packages version to 1.3.45
git info start staging version updated files
git success stage version updated files
using credential github-user-for-maven-releases
 > git rev-parse HEAD^{commit} # timeout=10
using credential github-user-for-maven-releases
 > git rev-parse HEAD^{commit} # timeout=10
------------------------------------------------------------------------

[WSO2 Maven Release] [WSO2 Maven Release] Build Result: FAILURE
[WSO2 Maven Release] Dropping Git Tag: v1.3.45. Reason: FAILURE build.

[WSO2 Maven Release] Deleting release tag from remote.
 > git --version # timeout=10
using GIT_ASKPASS to set credentials github user for maven release plugin (CD)
 > git push https://github.com/wso2/identity-apps.git :refs/tags/v1.3.45 # timeout=10
[WSO2 Maven Release] Dropped git tag - v1.3.45
FATAL: [M2Release] Could not close/release repository , Connection refused (Connection refused)

org.jvnet.hudson.plugins.m2release.nexus.StageException: Connection refused (Connection refused)
	at org.jvnet.hudson.plugins.m2release.nexus.StageClient.createStageExceptionForIOException(StageClient.java:645)
	at org.jvnet.hudson.plugins.m2release.nexus.StageClient.getDocument(StageClient.java:511)
	at org.jvnet.hudson.plugins.m2release.nexus.StageClient.getOpenStageIDs(StageClient.java:375)
	at org.jvnet.hudson.plugins.m2release.nexus.StageClient.getOpenStageID(StageClient.java:114)
	at org.jvnet.hudson.plugins.m2release.ReleaseEnvironment.closeNexusStagingRepo(ReleaseEnvironment.java:135)
	at org.jvnet.hudson.plugins.m2release.ReleaseEnvironment.tearDown(ReleaseEnvironment.java:112)
	at hudson.maven.MavenModuleSetBuild$MavenModuleSetBuildExecution.doRun(MavenModuleSetBuild.java:908)
	at hudson.model.AbstractBuild$AbstractBuildExecution.run(AbstractBuild.java:504)
	at hudson.model.Run.execute(Run.java:1818)
	at hudson.maven.MavenModuleSetBuild.run(MavenModuleSetBuild.java:543)
	at hudson.model.ResourceController.execute(ResourceController.java:97)
	at hudson.model.Executor.run(Executor.java:429)
Caused by: java.net.ConnectException: Connection refused (Connection refused)
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)
	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)
	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)
	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)
	at java.net.Socket.connect(Socket.java:589)
	at sun.security.ssl.SSLSocketImpl.connect(SSLSocketImpl.java:673)
	at sun.security.ssl.BaseSSLSocketImpl.connect(BaseSSLSocketImpl.java:173)
	at sun.net.NetworkClient.doConnect(NetworkClient.java:180)
	at sun.net.www.http.HttpClient.openServer(HttpClient.java:463)
	at sun.net.www.http.HttpClient.openServer(HttpClient.java:558)
	at sun.net.www.protocol.https.HttpsClient.<init>(HttpsClient.java:264)
	at sun.net.www.protocol.https.HttpsClient.New(HttpsClient.java:367)
	at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.getNewHttpClient(AbstractDelegateHttpsURLConnection.java:191)
	at sun.net.www.protocol.http.HttpURLConnection.plainConnect0(HttpURLConnection.java:1156)
	at sun.net.www.protocol.http.HttpURLConnection.plainConnect(HttpURLConnection.java:1050)
	at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(AbstractDelegateHttpsURLConnection.java:177)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1564)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1492)
	at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)
	at sun.net.www.protocol.https.HttpsURLConnectionImpl.getResponseCode(HttpsURLConnectionImpl.java:347)
	at org.jvnet.hudson.plugins.m2release.nexus.StageClient.getDocument(StageClient.java:490)
	... 10 more


More information about the Builder mailing list